Bug 2267761 (CVE-2023-52581) - CVE-2023-52581 kernel: netfilter: nf_tables: memory leak when more than 255 elements expired
Summary: CVE-2023-52581 kernel: netfilter: nf_tables: memory leak when more than 255 e...
Keywords:
Status: NEW
Alias: CVE-2023-52581
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2267764
TreeView+ depends on / blocked
 
Reported: 2024-03-04 18:12 UTC by ybuenos
Modified: 2024-06-09 15:04 UTC (History)
51 users (show)

Fixed In Version: kernel 6.5.6, kernel 6.6
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw was found in the Linux kernel’s nftables sub-component due to a race problem between the set GC and transaction in the Linux Kernel. This flaw allows a local attacker to crash the system. This flaw is similar to the previous CVE-2023-4244 but for a different part of the source code.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2024:2634 0 None None None 2024-05-01 01:22:44 UTC
Red Hat Product Errata RHBA-2024:2650 0 None None None 2024-05-02 00:15:33 UTC
Red Hat Product Errata RHBA-2024:2686 0 None None None 2024-05-02 22:49:36 UTC
Red Hat Product Errata RHSA-2024:2394 0 None None None 2024-04-30 10:16:34 UTC
Red Hat Product Errata RHSA-2024:2950 0 None None None 2024-05-22 09:13:49 UTC
Red Hat Product Errata RHSA-2024:3138 0 None None None 2024-05-22 09:53:07 UTC

Description ybuenos 2024-03-04 18:12:44 UTC
In the Linux kernel, the following vulnerability has been resolved:

netfilter: nf_tables: fix memleak when more than 255 elements expired

The Linux kernel CVE team has assigned CVE-2023-52581 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/2024030258-CVE-2023-52581-2165@gregkh/T/#u

Comment 10 errata-xmlrpc 2024-04-30 10:16:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:2394 https://access.redhat.com/errata/RHSA-2024:2394

Comment 11 errata-xmlrpc 2024-05-22 09:13:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:2950 https://access.redhat.com/errata/RHSA-2024:2950

Comment 12 errata-xmlrpc 2024-05-22 09:53:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:3138 https://access.redhat.com/errata/RHSA-2024:3138

Comment 13 Alex 2024-06-09 15:04:46 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2023-52581 is: CHECK	Maybe valid. Check manually. with impact MODERATE (that is approximation based on flags REMOTE SIMPLEFIX NETFILTER RACE LEAK  ; these flags parsed automatically based on patche data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.


Note You need to log in before you can comment on or make changes to this bug.